str_getcsv
str_pad
String Functions
PHP Manual

# str_ireplace

(PHP 5)

str_ireplace — Case-insensitive version of str_replace().

### Description

mixed str_ireplace ( mixed `$search` , mixed `$replace` , mixed `$subject` [, int `&$count` ] )

This function returns a string or an array with all occurrences of `search` in `subject` (ignoring case) replaced with the given `replace` value. If you don't need fancy replacing rules, you should generally use this function instead of eregi_replace() or preg_replace() with the i modifier.

### Parameters

`search`

  > Note: Every replacement with `search` array is performed on the result of previous replacement.

`replace`

`subject`

  If `subject` is an array, then the search and replace is performed with every entry of `subject` , and the return value is an array as well.

`count`

  The number of matched and replaced `needles` will be returned in `count` which is passed by reference.

If `search` and `replace` are arrays, then str_ireplace() takes a value from each array and uses them to do search and replace on `subject` . If `replace` has fewer values than `search` , then an empty string is used for the rest of replacement values. If `search` is an array and `replace` is a string; then this replacement string is used for every value of `search` .

### Return Values

Returns a string or an array of replacements.

### ChangeLog

Version | Description
--- | ---
5.0.0 | The `count` parameter was added.

### Examples

Example #1 str_ireplace() example

`<?php
$bodytag = str_ireplace("%body%", "black", "<body text=%BODY%>");
?>`

### Notes

> Note: This function is binary safe.

### See Also

- str_replace()
- preg_replace()
- strtr()

str_getcsv
str_pad
String Functions
PHP Manual